GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
gdcm::SegmentedPaletteColorLookupTable Class Reference

SegmentedPaletteColorLookupTable class. More...

`#include <gdcmSegmentedPaletteColorLookupTable.h>`

Inheritance diagram for gdcm::SegmentedPaletteColorLookupTable:
[legend]
Collaboration diagram for gdcm::SegmentedPaletteColorLookupTable:
[legend]

## Public Member Functions

| SegmentedPaletteColorLookupTable ()
| ~SegmentedPaletteColorLookupTable ()
void | Print (std::ostream &) const
void | SetLUT (LookupTableType type, const unsigned char *array, unsigned int length)
| Initialize a SegmentedPaletteColorLookupTable.
Public Member Functions inherited from gdcm::LookupTable
| LookupTable ()
| LookupTable (LookupTable const &lut)
| ~LookupTable ()
void | Allocate (unsigned short bitsample=8)
| Allocate the LUT.
void | Clear ()
| Clear the LUT.
void | Decode (std::istream &is, std::ostream &os) const
| Decode the LUT.
unsigned short | GetBitSample () const
| return the bit sample
bool | GetBufferAsRGBA (unsigned char *rgba) const
| return the LUT as RGBA buffer
void | GetLUT (LookupTableType type, unsigned char *array, unsigned int &length) const
void | GetLUTDescriptor (LookupTableType type, unsigned short &length, unsigned short &subscript, unsigned short &bitsize) const
unsigned int | GetLUTLength (LookupTableType type) const
const unsigned char * | GetPointer () const
| return a raw pointer to the LUT
void | InitializeBlueLUT (unsigned short length, unsigned short subscript, unsigned short bitsize)
bool | Initialized () const
| return whether the LUT has been initialized
void | InitializeGreenLUT (unsigned short length, unsigned short subscript, unsigned short bitsize)
void | InitializeLUT (LookupTableType type, unsigned short length, unsigned short subscript, unsigned short bitsize)
| Generic interface:
void | InitializeRedLUT (unsigned short length, unsigned short subscript, unsigned short bitsize)
| RED / GREEN / BLUE specific:
void | SetBlueLUT (const unsigned char *blue, unsigned int length)
void | SetGreenLUT (const unsigned char *green, unsigned int length)
void | SetRedLUT (const unsigned char *red, unsigned int length)
bool | WriteBufferAsRGBA (const unsigned char *rgba)
| Write the LUT as RGBA.
Public Member Functions inherited from gdcm::Object
| Object ()
| Object (const Object &)
| Special requirement for copy/cstor, assigment operator.
virtual | ~Object ()
void | operator= (const Object &)

## Additional Inherited Members

Public Types inherited from gdcm::LookupTable
enum | LookupTableType { RED = 0, GREEN, BLUE, GRAY, UNKNOWN }
Protected Member Functions inherited from gdcm::Object
void | Register ()
void | UnRegister ()
Protected Attributes inherited from gdcm::LookupTable
unsigned short | BitSample
bool | IncompleteLUT:1
LookupTableInternal * | Internal

## Detailed Description

SegmentedPaletteColorLookupTable class.

## Constructor & Destructor Documentation

gdcm::SegmentedPaletteColorLookupTable::SegmentedPaletteColorLookupTable | ( |  | ) |

gdcm::SegmentedPaletteColorLookupTable::~SegmentedPaletteColorLookupTable | ( |  | ) |

## Member Function Documentation

void gdcm::SegmentedPaletteColorLookupTable::Print | ( | std::ostream & |  | ) | const

inlinevirtual

Reimplemented from gdcm::LookupTable.

void gdcm::SegmentedPaletteColorLookupTable::SetLUT | ( | LookupTableType | type,
|  | const unsigned char * | array,
|  | unsigned int | length
| ) |  |

virtual

Initialize a SegmentedPaletteColorLookupTable.

Reimplemented from gdcm::LookupTable.

The documentation for this class was generated from the following file:

- gdcmSegmentedPaletteColorLookupTable.h